<div class="content">
    <div class="header"><h1>Visitas</h1></div>

    @if (dataSource.data.length > 0) {
    <div class="search">
      <mat-form-field appearance="outline" color="accent">
        <mat-label style="color: aliceblue;">Buscar</mat-label>
        <input matInput (keyup)="applyFilter($event)" #input style="font-size: 16px;">
      </mat-form-field>
    </div>
      <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort>
      
          <!-- Descripcion Column -->
          <ng-container matColumnDef="descripcion">
            <th mat-header-cell *matHeaderCellDef> Descripción </th>
            <td mat-cell *matCellDef="let row"> {{row.descripcion}} </td>
          </ng-container>
      
          <!-- Fecha Column -->
          <ng-container matColumnDef="fecha">
            <th mat-header-cell *matHeaderCellDef> Fecha Ingreso </th>
            <td mat-cell *matCellDef="let row"> {{row.fecha}} hrs</td>
          </ng-container>
      
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      
          <!-- Row shown when there is no matching data. -->
          <tr class="mat-row" *matNoDataRow>
            <td class="mat-cell" colspan="4">No hay alertas "{{input.value}}"</td>
          </tr>
        </table>
      
        <mat-paginator color="accent" 
         [pageSizeOptions]="[5, 10, 20, 50, 100]"
         aria-label="Seleciona la pagina"></mat-paginator>
      </div>        
    } @else {
      <div class="mensaje-empty">
        <h1>No hay visitas</h1>
      </div>
    }
</div>